## samba 4.19.6+dfsg

=== debian/changelog ===
samba (2:4.19.6+dfsg-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports (resolving before-trixie build profile).

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 08 May 2024 12:52:19 +0300

samba (2:4.19.6+dfsg-3) unstable; urgency=medium

  * fix brown-paper-bag bugs in previous upload
    (in meaningful-error-if-no-python3-markdown.patch)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 02 May 2024 20:47:15 +0300

samba (2:4.19.6+dfsg-2) unstable; urgency=medium

  [ Michael Tokarev ]
  * meaningful-error-if-no-python3-markdown.patch:
    update to include 2 other places where markdown gets improted
  * d/winbind.service:
    - order it before nss-user-lookup.target (Closes: #1068649)
    - fix typo
    - nmb.service is nmbd.service in debian
  * move include/samba/core/*.h from samba-libs to libwbclient-dev
    (Closes: #1064544)

  [ Alex Murray ]
  * fix smbd apparmor breakage since change to local systemd services
    (Cloes: #1069661)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 02 May 2024 14:08:31 +0300

samba (2:4.19.6+dfsg-1) unstable; urgency=medium

  * new upstream stable/bugfix release:
   - https://bugzilla.samba.org/show_bug.cgi?id=15527 fd_handle_destructor()
     panics within an smbd_smb2_close() if vfs_stat_fsp() fails in fd_close()
   - https://bugzilla.samba.org/show_bug.cgi?id=15580
     Packet marshalling push support missing for
     CTDB_CONTROL_TCP_CLIENT_DISCONNECTED and CTDB_CONTROL_TCP_CLIENT_PASSED
   - https://bugzilla.samba.org/show_bug.cgi?id=15588
     samba-gpupdate: Correctly implement site support
   - https://bugzilla.samba.org/show_bug.cgi?id=15599
     libgpo: Segfault in python bindings
  * revert d/rules: remove Debian/Ubuntu "branding"

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 08 Apr 2024 11:18:38 +0300

samba (2:4.19.5+dfsg-5) unstable; urgency=medium

  * implement pkg.samba.before-trixie build profile
    (undo t64 changhes and drop build-dep)
  * d/rules: remove Debian/Ubuntu "branding", no need in that
  * d/control: samba-dsdb-modules: drop hardcoded dependency on libgpgme11
    (Closes: #1068526)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 07 Apr 2024 16:04:30 +0300
