=== debian/changelog ===
samba (2:4.20.1+dfsg-4~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports (resolving before-trixie build profile).

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 06 Jun 2024 20:12:20 +0300

samba (2:4.20.1+dfsg-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Mitigate ineffective replaces due to /usr-move (DEP17 P1)
    (Closes: #1072102)

  [ Michael Tokarev ]
  * d/control: mark libkeyutils-dev as linux-only [linux-any]
  * d/control: drop old versions of versioned dependencies

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 29 May 2024 20:31:41 +0300

samba (2:4.20.1+dfsg-3) unstable; urgency=medium

  * d/rules: move samba-common install to d/samba-common.install
  * d/rules: install samba-ad-dc init files for the right package
  * d/samba.postinst: remove nmbd_error_handler for the initscript
    (it is not used in systemd case)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 26 May 2024 18:48:17 +0300

samba (2:4.20.1+dfsg-2) unstable; urgency=medium

  * move many files from samba package to samba-ad-dc package.
    From now on, samba-ad-dc isn't just a meta-package, it is actually
    needed for AD-DC functionality.  If you run AD-DC, please ensure
    that samba-ad-dc package is installed (it is not recommended by samba)
    Closes: #1051770
  * move samba-tool and samba-gpupdate from samba-common-bin and samba
    packages to python3-samba.  This is an Active Directory stuff, not
    needed for a stand-alone server or a client, but might be useful
    for auth-only (neither file-server nor file-client) AD installs
    Closes: #1068360
  * remove addshare.py, setoption.py and source_samba.py python scripts
    These aren't used by samba packages and are hardly useful generally, esp.
    having in mind their unusual locations.  The apport hook (source_samba.py)
    is mostly obsolete, it hasn't been updated for a very long time.
  * add make-python-optional.diff, so python3 can be made optional
    for samba-common-bin
  * remove python3-samba and python from Depends of samba and samba-common-bin
    packages, moving it to Recommends.  This lets the user to install a stand-
    alone samba file server without any Active Directory bits and even without
    python interpreter
  * d/samba.install: do not install samba_downgrade_db (to old pre-4.8 version)
  * move smbcontrol binary from samba to samba-common-bin,
    since it can also be used to control winbindd
  * d/control: tdb-tools (tdbbackup) are run from python modules,
    move from samba:Depends to python3-samba:Recommends
  * d/control: samba: no need to depend on libpam-runtime or libpam-modules
  * d/control: samba: no need to recommend samba-ad-provision
  * debian/TODO: update a bit, remove many obsolete entries

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 26 May 2024 17:48:13 +0300

samba (2:4.20.1+dfsg-1) unstable; urgency=medium

  * new upstream major release
  * d/control: bump tevent/talloc/tdb versions for Build-Depends
  * d/libldb2.symbols, d/python3-ldb.symbols.in: add new version (2.9.0)
  * d/patches/meaningful-error-if-no-python3-markdown.patch: fixup
  * d/*.install: internal library names changed:
    libfoo-samba4.so.0 => libfoo-private-samba.so.0
  * d/samba-libs.install: update names for libdcerpc & libndr private libs
  * d/samba-libs.install, d/samba-libs.links, d/samba-libs.symbols:
    libndr has soversion 4 now.  This breaks binaries linked with libndr!
  * d/samba-libs.symbols: update with new ndr4 symbols
  * d/libsmbclient.symbols: update with new symbols
  * d/samba-dev.install: add smb3posix.h
  * d/not-installed: add usr/bin/wspsearch experimental windows search binary
  * d/control: libperl-json is not needed for build anymore
  * d/control: bump minimum mit-krb5 version in Build-Depends to 1.21
    (for pkg.samba.mitkrb5 build profile)
  * Closes: #1070335 (wronly filed)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 08 May 2024 13:23:57 +0300
