=== debian/control ===
--- 
+++ 
@@ -21,11 +21,11 @@
 	perl:any,
 	po-debconf,
 # libraries which we embed but use system versions of:
-	libtalloc-dev (>= 2.4.1~),
-	python3-talloc-dev (>= 2.4.1~),
-	libtevent-dev (>= 0.15.0~),
-	libtdb-dev (>= 1.4.9~),
-	python3-tdb (>= 1.4.9~),
+	libtalloc-dev (>= 2.4.2~),
+	python3-talloc-dev (>= 2.4.2~),
+	libtevent-dev (>= 0.16.1~),
+	libtdb-dev (>= 1.4.10~),
+	python3-tdb (>= 1.4.10~),
 # system libraries:
 	pkgconf,
 	libacl1-dev,
@@ -38,7 +38,7 @@
 # the same [arch list] is in rules (with-ceph) and ctdb.install
 	libcephfs-dev [amd64 arm64 mips64el ppc64el riscv64 s390x],
 	librados-dev  [amd64 arm64 mips64el ppc64el riscv64 s390x],
-	libcmocka-dev (>= 1.1.3),
+	libcmocka-dev,
 	libcups2-dev,
 	libdbus-1-dev,
 	libglusterfs-dev [amd64 arm64 ppc64el ppc64 riscv64 mips64el s390x ia64 sparc64],
@@ -46,9 +46,8 @@
 	libgpgme11-dev,
 	libicu-dev,
 	libjansson-dev,
-	libjson-perl,
-	libkeyutils-dev,
-	libkrb5-dev (>= 1.20.0~) <pkg.samba.mitkrb5>,
+	libkeyutils-dev [linux-any],
+	libkrb5-dev (>= 1.21.0~) <pkg.samba.mitkrb5>,
 	libldap2-dev,
 	liblmdb-dev,
 	libpam0g-dev,
@@ -58,11 +57,11 @@
 	libreadline-dev,
 	libtirpc-dev,
 	libsystemd-dev [linux-any],
-	libtasn1-6-dev (>= 3.8),
+	libtasn1-6-dev,
 	libtasn1-bin,
 	liburing-dev [linux-any],
 	xfslibs-dev [linux-any],
-	zlib1g-dev (>= 1:1.2.3),
+	zlib1g-dev,
 # python (+#904999):
 	python3-dev:any | python3-dev, libpython3-dev,
 	python3-dnspython,
@@ -84,31 +83,18 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: passwd,
-         libpam-modules,
-         libpam-runtime (>= 1.0.1-11),
          procps,
-         python3,
-         python3-dnspython,
-         python3-samba (= ${binary:Version}),
          samba-common (= ${source:Version}),
          samba-common-bin (=${binary:Version}),
-         tdb-tools,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
 Recommends: attr,
-            python3-markdown,
-            samba-dsdb-modules,
             samba-vfs-modules,
-            samba-ad-provision,
-Suggests: bind9 (>= 1:9.5.1),
-          bind9utils,
-          ctdb,
-          ldb-tools,
-          ntp | chrony (>= 3.0-1),
+            python3-samba,
+Suggests: ctdb,
           ufw,
           winbind
-Enhances: bind9, ntp
 Breaks: samba-ad-provision (<< ${source:Upstream-Version})
 Description: SMB/CIFS file, print, and login server for Unix
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
@@ -131,7 +117,7 @@
 Multi-Arch: same
 Architecture: any
 Section: libs
-Provides: libndr3 (= ${binary:Version}), libsmbldap2 (= ${binary:Version})
+Provides: libndr4 (= ${binary:Version}), libsmbldap2 (= ${binary:Version})
 Depends: ${misc:Depends}, ${shlibs:Depends},
 # since libldb ABI is incorrectly versioned resulting in breakage like #1021371,
 # just require libldb version of the same build
@@ -171,21 +157,16 @@
 
 Package: samba-common-bin
 Architecture: any
-Depends: python3,
-         python3-samba,
-         samba-common (=${source:Version}),
-         samba-libs (= ${binary:Version}),
+Depends: samba-common (= ${source:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: samba-dsdb-modules
+Recommends: python3-samba,
 Suggests: heimdal-clients,
-          python3-markdown,
-          python3-dnspython
-# moved samba-dcerpcd samba=>samba-common-bin in in 4.16.2+dfsg-1
 # moved libnet-keytab-samba4.so.0 & libRPC-WORKER-samba4.so.0 samba-libs=>samba-common-bin in 4.19.0~r1
-Replaces: samba (<< 2:4.16.2+dfsg-1~), samba-libs (<< 2:4.19.0~)
-Breaks:   samba (<< 2:4.16.2+dfsg-1~), samba-libs (<< 2:4.19.0~)
+# moved smbcontrol samba=>samba-common-bin in 4.20.0-2
+Replaces: samba (<< 2:4.20.1+dfsg-2~), samba-libs (<< 2:4.19.0~)
+Breaks:   samba (<< 2:4.20.1+dfsg-2~), samba-libs (<< 2:4.19.0~)
 Description: Samba common files used by both the server and the client
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,
@@ -197,17 +178,33 @@
  package).
 
 Package: samba-ad-dc
-Architecture: all
+Architecture: any
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
-Depends: samba (>= ${source:Version}~), samba-dsdb-modules, samba-vfs-modules,
-	winbind,
-	krb5-kdc (>> 1.19.0) <pkg.samba.mitkrb5>,
-	${misc:Depends}
+Depends: samba (= ${binary:Version}),
+	 python3-samba (= ${binary:Version}),
+	 python3-dnspython,
+	 samba-dsdb-modules (= ${binary:Version}),
+	 samba-vfs-modules (= ${binary:Version}),
+	 winbind (= ${binary:Version}),
+	 krb5-kdc (>= 1.21.0~) <pkg.samba.mitkrb5>,
+	 ${python3:Depends},
+	 ${shlibs:Depends},
+	 ${misc:Depends}
 Recommends: libnss-winbind, libpam-winbind,
 # samba-ad-provision is needed for setup only
 	samba-ad-provision
-Breaks: samba-ad-provision (<< ${source:Upstream-Version})
+Suggests: bind9,
+	  bind9utils,
+	  ldb-tools,
+	  ntp | chrony,
+Enhances: bind9, ntp
+Breaks:   samba-ad-provision (<< ${source:Upstream-Version}),
+# files moved from samba & samba-common-bin in 4.20.1-2:
+	  samba-common-bin (<< 2:4.20.1+dfsg-2~),
+Replaces: samba-common-bin (<< 2:4.20.1+dfsg-2~),
+# Breaks+Replaces upgraded to Conflicts for DEP17 + /usr-move
+Conflicts: samba (<< 2:4.20.1+dfsg-2~),
 Description: Samba control files to run AD Domain Controller
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file and printer sharing with
@@ -286,7 +283,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libc6-dev,
-         libldb-dev (>= 2:2),
+         libldb-dev,
          libpopt-dev,
          libtalloc-dev,
          libtdb-dev,
@@ -317,15 +314,15 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
+Breaks:
+# samba-tool & samba-gpupdate moved from samba-common-bin & samba in 4.20.1-2:
+          samba-common-bin (<< 2:4.20.1+dfsg-2~), samba (<< 2:4.20.1+dfsg-2~),
 Replaces:
+	  samba-common-bin (<< 2:4.20.1+dfsg-2~), samba (<< 2:4.20.1+dfsg-2~),
 # libsamba-policy & helpers and dckeytab python libs moved to python3-samba
- samba-libs (<< 2:4.16.0+dfsg-1~), samba (<< 2:4.16.0+dfsg-1~)
-Recommends: python3-gpg
+ samba-libs (<< 2:4.16.0+dfsg-1~),
+Recommends: python3-gpg,
+            tdb-tools,
 Description: Python 3 bindings for Samba
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,
- and other Unix systems.  Samba can also function as a domain controller
- or member server in Active Directory or NT4-style domains.
- .
- This package contains Python 3 bindings for most Samba libraries.
-
